<?php

session_start();

$kundennummer=$_POST["kundennummer"];
$kunde=$_POST["kunde"];
$passwort=$_POST["passwort"];

$hb = $_SESSION['hb'];
$hp = $_SESSION['hp'];

$filenametxt = dirname($_SERVER["PATH_TRANSLATED"]) . "/kunden.txt";

$anforderung=$_POST["aktion"];
//print $anforderung;

if($anforderung == "0"){
if (($kundennummer == "") || ($kunde == "") || ($passwort == "")) {
echo "Tragen Sie bitte die Benutzerdaten komplett ein!";
echo "<meta http-equiv='refresh' content='2; URL=adminloggin.php'>";
exit;
}
}


if (!$filetxt = fopen($filenametxt, "r+")) {
print "Kann im Moment die Kunden-TXT nicht öffnen";
exit;
}

rewind ($filetxt);
$contenttxt=fread($filetxt,filesize($filenametxt));


$länge=0;
$länge=strlen($contenttxt);

$i = 1;
while ($i < $länge):
$letzte=strpos($contenttxt,"checkbox",$i+1);
$rest = substr($contenttxt, $letzte+8, 4);
if (($rest!="") && ((int)$rest!=0)) {
$zeilennummer=(int)$rest;
//print (int) $rest;
}
if (($i<=$länge)&&($alti<$i)){
$alti=$i;
$i=$letzte;
}else{
break;
}
endwhile;

$zeilennummer=$zeilennummer+1;





if($anforderung == "0"){

$content = 
'
<tr class="style12">
<td><input type="checkbox" name="checkbox'.$zeilennummer.'" value="checkbox'.$zeilennummer.'"></td>
<td height="21">'.$kunde.'</td>
<td>'.$kundennummer.'</td>
<td>'.$passwort.'</td>
</tr>';
if (fputs($filetxt, $content)=== FALSE) {
print "Kann in die Datei ".$filename." nicht schreiben";
}
fclose($filetxt);

}




if($anforderung == "1"){
$zeilennummer=$zeilennummer-1;
$i = 1;
while ($i <= $zeilennummer):
$box= "checkbox". $i;
$wert = $_POST[$box];
$i=$i+1;
if ($wert==true) {
//print "<br>1 " . $box . "  " . $wert;
$letzte=strpos($contenttxt,$box,1);
$rest = strpos($contenttxt,"</tr>",$letzte);
//print "<br> " . $letzte . "  " . $rest;
$rest1 = substr($contenttxt, 0, $letzte-57);
$rest2 = substr($contenttxt, $rest+5,$länge); 
$rest3=$rest1 . $rest2; 
//print "<br> " . $rest3;
}
endwhile;
fclose($filetxt);
$filetxt = fopen($filenametxt, "w+");
if (fputs($filetxt, $rest3)=== FALSE) {
print "Kann in die Datei ".$filename." nicht schreiben";
}
fclose($filetxt);
}



echo "<meta http-equiv='refresh' content='2; URL=adminloggin.php'>";

?>